"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiButton = void 0;
const variables_1 = require("../../../../variables/ts/variables");
const palette_1 = require("../../palette/palette");
exports.MuiButton = {
    styleOverrides: {
        root: {
            height: "48px",
            padding: "12px 24px",
        },
        text: {
            color: variables_1.ColorLightForegroundBlue,
            ":hover": {
                background: "inherit",
                color: variables_1.ColorLightForegroundPrimary,
            },
        },
        textError: {
            color: palette_1.palette.error.main,
        },
        outlined: {
            fontWeight: 500,
        },
        outlinedPrimary: {
            color: variables_1.ColorLightForegroundBlue,
            ":hover": {
                background: variables_1.ColorLightForegroundBlue,
                color: palette_1.palette.common.white,
            },
        },
        outlinedError: {
            ":hover": {
                background: palette_1.palette.error.main,
                color: palette_1.palette.common.white,
            },
            ":disabled": {
                color: palette_1.palette.error.main,
                opacity: 0.3,
                borderColor: palette_1.palette.error.main,
            },
        },
        contained: {
            background: variables_1.ColorLightForegroundBlue,
            boxShadow: "none",
            ":hover": {
                boxShadow: "none",
            },
            ":disabled": {
                background: variables_1.ColorLightForegroundBlue,
                color: palette_1.palette.common.white,
                opacity: 0.32,
            },
            "& .MuiLoadingButton-loadingIndicator": {
                color: variables_1.ColorLightBackgroundPrimary,
            },
        },
        containedError: {
            background: palette_1.palette.error.main,
        },
    },
};
