"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiSwitch = void 0;
const variables_1 = require("../../../../variables/ts/variables");
const palette_1 = require("../../palette/palette");
exports.MuiSwitch = {
    defaultProps: {
        disableRipple: true,
    },
    styleOverrides: {
        root: {
            padding: 8,
        },
        switchBase: {
            top: 2,
            paddingLeft: 11,
            ":hover": {
                background: "transparent",
            },
            "&.Mui-checked": {
                transform: "translateX(15px)",
            },
            "&.Mui-checked:hover": {
                background: "transparent",
            },
            "&.Mui-checked+.MuiSwitch-track": {
                background: variables_1.ColorLightForegroundBlue,
                opacity: 1,
            },
        },
        thumb: {
            height: 17,
            width: 17,
            background: palette_1.palette.common.white,
            border: `1px solid ${variables_1.ColorLightOrnamentPrimary}`,
            boxShadow: "none",
        },
        track: {
            height: 23,
            opacity: 1,
            width: 38,
            borderRadius: 12,
            background: palette_1.palette.common.white,
            border: `1px solid ${variables_1.ColorLightOrnamentPrimary}`,
            transition: "background 300ms cubic-bezier(0.23, 1, 0.32, 1) 0s",
        },
    },
};
