"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuiTab = void 0;
const variables_1 = require("../../../../variables/ts/variables");
const paddingY = 4;
const lineHeight = 24;
const borderBottomWidth = 2;
exports.MuiTab = {
    styleOverrides: {
        root: {
            textTransform: "inherit",
            fontSize: 16,
            lineHeight: `${lineHeight}px`,
            color: variables_1.ColorLightForegroundSecondary,
            padding: `${paddingY}px 0`,
            minWidth: 0,
            minHeight: paddingY + lineHeight + paddingY + borderBottomWidth,
            borderBottom: `${borderBottomWidth}px solid transparent`,
            "&.Mui-selected": {
                color: variables_1.ColorLightForegroundPrimary,
                borderBottom: `${borderBottomWidth}px solid ${variables_1.ColorLightForegroundBlue}`,
            },
            "&.Mui-disabled": {
                color: variables_1.ColorLightOrnamentPrimary,
            },
            ":hover:not(.Mui-selected)": {
                color: variables_1.ColorLightForegroundBlue,
            },
            "&:not(:first-of-type)": {
                marginLeft: 8,
            },
            "&:not(:last-child)": {
                marginRight: 8,
            },
            "& .MuiTab-iconWrapper": {
                marginLeft: 4,
            },
        },
    },
};
