"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lightTheme = exports.overrideTheme = void 0;
const MuiAlert_1 = require("./components/MuiAlert/MuiAlert");
const MuiAppBar_1 = require("./components/MuiAppBar/MuiAppBar");
const MuiBackdrop_1 = require("./components/MuiBackdrop/MuiBackdrop");
const MuiBreadcrumbs_1 = require("./components/MuiBreadcrumbs/MuiBreadcrumbs");
const MuiButton_1 = require("./components/MuiButton/MuiButton");
const MuiButtonBase_1 = require("./components/MuiButtonBase/MuiButtonBase");
const MuiCheckbox_1 = require("./components/MuiCheckbox/MuiCheckbox");
const MuiChip_1 = require("./components/MuiChip/MuiChip");
const MuiFilledInput_1 = require("./components/MuiFilledInput/MuiFilledInput");
const MuiFormControl_1 = require("./components/MuiFormControl/MuiFormControl");
const MuiMenuItem_1 = require("./components/MuiMenuItem/MuiMenuItem");
const MuiSelect_1 = require("./components/MuiSelect/MuiSelect");
const MuiSwitch_1 = require("./components/MuiSwitch/MuiSwitch");
const MuiTab_1 = require("./components/MuiTab/MuiTab");
const MuiDivider_1 = require("./components/MuiDivider/MuiDivider");
const MuiTabs_1 = require("./components/MuiTabs/MuiTabs");
const MuiTableBody_1 = require("./components/MuiTableBody/MuiTableBody");
const MuiTableHead_1 = require("./components/MuiTableHead/MuiTableHead");
const MuiTextField_1 = require("./components/MuiTextField/MuiTextField");
const MuiToggleButton_1 = require("./components/MuiToggleButton/MuiToggleButton");
const MuiTooltip_1 = require("./components/MuiTooltip/MuiTooltip");
const palette_1 = require("./palette/palette");
const typography_1 = require("./typography/typography");
const fonts_1 = require("./typography/fonts");
const MuiLink_1 = require("./components/MuiLink/MuiLink");
const MuiDatePicker_1 = require("./components/MuiDatePicker/MuiDatePicker");
const MuiPickersDay_1 = require("./components/MuiPickersDay/MuiPickersDay");
const MuiPickersCalendarHeader_1 = require("./components/MuiPickersCalendarHeader/MuiPickersCalendarHeader");
const MuiDayCalendar_1 = require("./components/MuiDayCalendar/MuiDayCalendar");
const MuiMonthCalendar_1 = require("./components/MuiMonthCalendar/MuiMonthCalendar");
const MuiDateCalendar_1 = require("./components/MuiDateCalendar/MuiDateCalendar");
const MuiPickersYear_1 = require("./components/MuiPickersYear/MuiPickersYear");
const MuiPickersMonth_1 = require("./components/MuiPickersMonth/MuiPickersMonth");
const MuiDateRangePicker_1 = require("./components/MuiDateRangePicker/MuiDateRangePicker");
const MuiDateRangeCalendar_1 = require("./components/MuiDateRangeCalendar/MuiDateRangeCalendar");
const MuiDateRangePickerDay_1 = require("./components/MuiDateRangePickerDay/MuiDateRangePickerDay");
const MuiPickersLayoutV5_1 = require("./components/MuiPickersLayout/MuiPickersLayoutV5");
const MuiPickersLayout_1 = require("./components/MuiPickersLayout/MuiPickersLayout");
const MuiPaginationItem_1 = require("./components/MuiPaginationItem/MuiPaginationItem");
const MuiPagination_1 = require("./components/MuiPagination/MuiPagination");
const styles_1 = require("@mui/material/styles");
const MuiTypography_1 = require("./typography/MuiTypography");
// Map `@mui/x-date-pickers` V6 component customizations to V5 equivalents.
// This is essentially a hack in order to preserve backwards compatibility
// with `@mui/x-date-pickers` V5 even though V6 is included.
// @TODO remove once all workspace packages updated to `@mui/x-date-pickers` v6.
/**
 * @deprecated since 0.4.8. Please update `@mui/x-date-pickers` to v6.
 */
const MuiDatePickerV5 = {
    MuiCalendarPicker: MuiDateCalendar_1.MuiDateCalendar,
    MuiCalendarOrClockPicker: MuiPickersLayoutV5_1.MuiPickersLayout,
    MuiDayPicker: MuiDayCalendar_1.MuiDayCalendar,
    MuiMonthPicker: MuiMonthCalendar_1.MuiMonthCalendar,
    PrivatePickersYear: MuiPickersYear_1.MuiPickersYear,
    PrivatePickersMonth: MuiPickersMonth_1.MuiPickersMonth,
};
// `@mui/x-date-pickers` V6 component customizations
const MuiDatePickerV6 = {
    MuiDateCalendar: MuiDateCalendar_1.MuiDateCalendar,
    MuiPickersLayout: MuiPickersLayout_1.MuiPickersLayout,
    MuiDayCalendar: MuiDayCalendar_1.MuiDayCalendar,
    MuiMonthCalendar: MuiMonthCalendar_1.MuiMonthCalendar,
    MuiPickersYear: MuiPickersYear_1.MuiPickersYear,
    MuiPickersMonth: MuiPickersMonth_1.MuiPickersMonth,
    MuiDateRangePicker: MuiDateRangePicker_1.MuiDateRangePicker,
    MuiDateRangeCalendar: MuiDateRangeCalendar_1.MuiDateRangeCalendar,
    MuiDateRangePickerDay: MuiDateRangePickerDay_1.MuiDateRangePickerDay,
};
const overrideTheme = (LinkComponent, options) => (0, styles_1.createTheme)({
    palette: palette_1.palette,
    typography: typography_1.typography,
    components: Object.assign({ MuiCssBaseline: {
            styleOverrides: fonts_1.fontFaces + fonts_1.fontFacesWithWeightInNames,
        }, MuiPagination: MuiPagination_1.MuiPagination,
        MuiPaginationItem: MuiPaginationItem_1.MuiPaginationItem,
        MuiDivider: MuiDivider_1.MuiDivider,
        MuiAlert: MuiAlert_1.MuiAlert,
        MuiAppBar: MuiAppBar_1.MuiAppBar,
        MuiBackdrop: MuiBackdrop_1.MuiBackdrop,
        MuiBreadcrumbs: MuiBreadcrumbs_1.MuiBreadcrumbs,
        MuiButton: MuiButton_1.MuiButton,
        MuiButtonBase: MuiButtonBase_1.MuiButtonBase,
        MuiCheckbox: MuiCheckbox_1.MuiCheckbox,
        MuiChip: MuiChip_1.MuiChip,
        MuiFilledInput: MuiFilledInput_1.MuiFilledInput,
        MuiFormControl: MuiFormControl_1.MuiFormControl,
        MuiMenuItem: MuiMenuItem_1.MuiMenuItem,
        MuiSelect: MuiSelect_1.MuiSelect,
        MuiSwitch: MuiSwitch_1.MuiSwitch,
        MuiTab: MuiTab_1.MuiTab,
        MuiTableBody: MuiTableBody_1.MuiTableBody,
        MuiTableHead: MuiTableHead_1.MuiTableHead,
        MuiTabs: MuiTabs_1.MuiTabs,
        MuiTextField: MuiTextField_1.MuiTextField,
        MuiToggleButton: MuiToggleButton_1.MuiToggleButton,
        MuiTooltip: MuiTooltip_1.MuiTooltip, MuiLink: (0, MuiLink_1.MuiLink)(LinkComponent), MuiTypography: MuiTypography_1.MuiTypography,
        MuiDatePicker: MuiDatePicker_1.MuiDatePicker,
        MuiPickersDay: MuiPickersDay_1.MuiPickersDay,
        MuiPickersCalendarHeader: MuiPickersCalendarHeader_1.MuiPickersCalendarHeader }, ((options === null || options === void 0 ? void 0 : options.useDatePickersV6) ? MuiDatePickerV6 : MuiDatePickerV5)),
});
exports.overrideTheme = overrideTheme;
exports.lightTheme = (0, exports.overrideTheme)();
