"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typography = void 0;
const variables_1 = require("../../../variables/ts/variables");
exports.typography = {
    fontFamily: variables_1.FontFontFamily,
    h1: {
        fontSize: "24px",
        lineHeight: "28px",
        fontWeight: 500,
    },
    title: {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "16px",
        lineHeight: "24px",
        fontWeight: 500,
        letterSpacing: 0,
    },
    h2: {
        fontSize: "20px",
        fontWeight: "500",
        lineHeight: "28px",
        letterSpacing: "0em",
        textAlign: "left",
    },
    subtitle1: {
        fontFamily: variables_1.FontFontFamilyMedium,
    },
    subtitle2: {
        fontWeight: 350,
        fontSize: "14px",
        lineHeight: "20px",
        color: variables_1.ColorLightForegroundSecondary,
    },
    body2: {
        fontWeight: 400,
        fontSize: "16px",
        color: variables_1.ColorLightForegroundSecondary,
    },
    // The following fonts are in use by StatusIndicator, but have no corresponding font style in (E)DLS.
    // They are temporarily included here until typography guidelines have been created for EDLS.
    "tag - normal": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "12px",
        fontWeight: 500,
        lineHeight: "16px",
        letterSpacing: "0.02em",
        textTransform: "uppercase",
    },
    "tag - small": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "10px",
        fontWeight: 500,
        lineHeight: "12px",
        letterSpacing: "0.02em",
        textTransform: "uppercase",
    },
    "Heading 1 - 32": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "32px",
        lineHeight: "36px",
        fontWeight: 500,
    },
    "Heading 2 - 24": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "24px",
        lineHeight: "28px",
        fontWeight: 500,
    },
    "Heading 3 - 24": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "24px",
        lineHeight: "28px",
        fontWeight: 350,
    },
    "Title 20 – Emphasis": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "20px",
        lineHeight: "28px",
        fontWeight: 500,
    },
    "Title 20 – Standard": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "20px",
        lineHeight: "28px",
        fontWeight: 350,
    },
    "Title 20 – Underline": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "20px",
        lineHeight: "28px",
        fontWeight: 350,
        textDecoration: "underline",
    },
    "Body 16 – Emphasis": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "16px",
        lineHeight: "24px",
        fontWeight: 500,
    },
    "Body 16 – Standard": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "16px",
        lineHeight: "24px",
        fontWeight: 350,
    },
    "Body 16 – Underline": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "16px",
        lineHeight: "20px",
        fontWeight: 350,
        textDecoration: "underline",
    },
    "Body 14 – Emphasis": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "14px",
        lineHeight: "20px",
        fontWeight: 500,
    },
    "Body 14 – Standard": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "14px",
        lineHeight: "20px",
        fontWeight: 350,
    },
    "Body 14 – Underline": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "14px",
        lineHeight: "20px",
        fontWeight: 350,
        textDecoration: "underline",
    },
    "Micro 12 – Uppercase": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "12px",
        lineHeight: "20px",
        fontWeight: 500,
        textTransform: "uppercase",
        letterSpacing: "0.02em",
    },
    "Micro 12 – Emphasis": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "12px",
        lineHeight: "20px",
        fontWeight: 500,
        letterSpacing: "0.02em",
    },
    "Micro 12 – Standard": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "12px",
        lineHeight: "20px",
        fontWeight: 350,
        letterSpacing: "0.02em",
    },
    "Micro 12 – Underline": {
        fontFamily: variables_1.FontFontFamily,
        fontSize: "12px",
        lineHeight: "20px",
        fontWeight: 350,
        textDecoration: "underline",
        letterSpacing: "0.02em",
    },
};
