FROM node:16.14.0-alpine as build
RUN apk add --no-cache libc6-compat

LABEL maintainer="@volvo-cars/fleet-portal"
LABEL repo="https://github.com/volvo-cars/volvo-web-services-platform"

ARG APP_ENV="production"

RUN corepack enable

WORKDIR /app

# Copy files required for installation
COPY package.json ./
COPY yarn.lock ./
COPY .yarn ./.yarn
COPY .yarnrc.yml ./.yarnrc.yml
COPY ./configs ./configs

# Copy application code
COPY packages/edls-theme ./packages/edls-theme

RUN yarn workspaces focus packages/edls-theme -A

WORKDIR /app/packages/edls-theme

RUN yarn build-storybook

EXPOSE 8080
ENV PORT 8080

CMD yarn start:storybook-readiness
